Merchants

  • List merchants

  • Retrieve merchant

Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

<- Merchants API

Merchants API

All versions ->

List merchants

GET

 /v2/merchants

Provides details about the merchant associated with a given access token.

The access token used to connect your application to a Square seller is associated with a single merchant. That means that ListMerchants returns a list with a single Merchant object. You can specify your personal access token to get your own merchant information or specify an OAuth token to get the information for the merchant that granted your application access.

If you know the merchant ID, you can also use the RetrieveMerchant endpoint to retrieve the merchant information.

Permissions:MERCHANT_PROFILE_READ

Guide

Merchants API Overview

Try in API Explorer
Link to section

Query parameters

Example code

Link to section

cursor

integer(32-bit)

The cursor generated by the previous response.

Link to section

Response fields

Link to section

errors

Information on errors encountered during the request.

Link to section

merchant

The requested Merchant entities.

Link to section

cursor

integer(32-bit)

If the response is truncated, the cursor to use in next request to fetch next set of objects.

Link to section

Examples

All versions ->

GET /v2/merchants
curl https://connect.squareup.com/v2/merchants \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "merchant": [ { "id": "DM7VKY8Q63GNP", "business_name": "Apple A Day", "country": "US", "language_code": "en-US", "currency": "USD", "status": "ACTIVE", "main_location_id": "9A65CGC72ZQG1", "created_at": "2021-12-10T19:25:52.484Z" } ] }